ALFRED-GPSD(8)

NAME
alfred-gpsd - Alfred GPS distribution server

SYNOPSIS
alfred-gpsd [options]

DESCRIPTION
alfred-gpsd can be used to distribute GPS location information over your batman-adv mesh network. It reads the current location from gpsd, or a fixed location from the command line, and distributes this information via alfred. By gathering this local information, any alfred-gpsd node can get location information about other nodes.

OPTIONS

-v, --version
    Print the version

-h, --help
    Display a brief help message.

-u, --unix-path path
    path to unix socket used for alfred server communication.

-s, --server
    Start up in server mode. This server will read the current location from gpsd and set it in alfred via unix socket. The alfred server must run too to get this information set.

-l, --location <lat>,<lon>,<alt>
    Rather than read the current location from gpsd, use a fixed location.

-g, --gpsd server[:port[:device]]
    Specify the server hostname and optional port of where gpsd is listening. Additionally, a specific device connected to gpsd can be specified.

EXAMPLES
Start an alfred-gpsd server which is fetching GPS data from the local gpsd.
alfred-gpsd -s

Start an alfred-gpsd server with a fixed location
alfred-gpsd -s -l 48.858222,2.2945,358

To get a list of GPS locations, in JSON format:
alfred-gpsd
[
  { "source" : "f6:00:48:13:d3:1e", "tpv" : {"class":"TPV","tag":"RMC",
    "device":"/dev/ttyACM0","mode":3,"time":"2013-10-01T10:43:20.000Z",
    "ept":0.005,"lat":52.575485000,"lon":-1.339716667,"alt":122.500,
    "epx":10.199,"epy":15.720,"epv":31.050,"track":0.0000,"speed":0.010,
    "climb":0.000,"eps":31.44} },
  { "source" : "8e:4c:77:b3:65:b4", "tpv" : {"class":"TPV",
    "device":"command line","time":"2013-10-01T10:43:05.129Z",
    "lat":48.858222,"lon":2.2945,"alt":358.000000,"mode":3}
  }
]

SEE ALSO
alfred(8), gpsd(8) gpsd_json(5)

AUTHOR
alfred-gpsd and this Manual page was written by Andrew Lunn <andrew@lunn.ch>